%% Third Party Code:
% 
% This toolbox contains third-party code:
% 
%   gmresKelley.m
%
% 
% This GMRES by Kelley is faster than the standard GMRES.
% 
% (As third party code we store it in the folder 3rdparty. Otherwise we would store it in the folder proc/operators/.)
%
%
% *Reference*
%
% This method is described in Ch. 3.4 of the following book:
% 
% C. Tim Kelley. Iterative Methods for Linear and Nonlinear Equations. Society for Industrial and Applied Mathematics, 1995.
%
%
% *Source Code*
%
% The source code is available at:
% 
% C. Tim Kelley. Iterative methods for linear and nonlinear equations. companion software, 2002.
% 
% https://de.mathworks.com/matlabcentral/fileexchange/2198-iterative-methods-for-linear-and-nonlinear-equations/content/kelley/gmres.m
% 
% Accessed: March 2017.
%
%
% *Reference to License*
%
% The corresponding license is available at:
% 
% https://de.mathworks.com/matlabcentral/fileexchange/view_license?file_info_id=2198
%
%
% In the following we will cite this license (Accessed: May 2017):
%
%
% *License*
% 
% Copyright (c) 2016, C.T. Kelley
% 
% All rights reserved.
%
% 
% Redistribution and use in source and binary forms, with or without
% modification, are permitted provided that the following conditions are
% met:
% 
% * Redistributions of source code must retain the above copyright
% notice, this list of conditions and the following disclaimer.
% * Redistributions in binary form must reproduce the above copyright
% notice, this list of conditions and the following disclaimer in
% the documentation and/or other materials provided with the distribution
% 
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
% AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
% IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
% ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
% LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
% CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
% SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
% INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
% CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
% ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
% POSSIBILITY OF SUCH DAMAGE.
% 
