% This guide ist not used in the user guide.
% It shows a rectangle for the algorithm paper (made for revision version).
%

init;
seti.dim = 2;

% Set transmitters positions:
seti.incType = 'pointSource';
seti.incPntsType = 'square';
seti.incNbEdge = 4;
seti.incEdgeLength = 0.6;
seti = setIncPnts(seti);    % seti.incPnts contains the coordinates, seti.incNb the number

% Set receivers positions:
% Arrange 4+1 points on each edge of a square with length 3. Total number of points is 4*4 = 16.
seti.measType = 'nearField';
seti.measPntsType = 'square';
seti.measNbEdge = 4;
seti.measEdgeLength = 0.8;
seti = setMeasPnts(seti);	% seti.measPnts contains the coordinates, seti.measNb the number

% Plot:

figure(1);
clf;
hold on;
IP = seti.incPnts;
MP = seti.measPnts;
[~,rInc]  = cart2pol(IP(1,:),IP(2,:));
[~,rMeas] = cart2pol(MP(1,:),MP(2,:));
incMarkerSize = 30;
measMarkerSize = 7;
plot(IP(1,:),IP(2,:),'b.','MarkerSize',incMarkerSize);
plot(MP(1,:),MP(2,:),'rs','MarkerSize',measMarkerSize,'MarkerFaceColor','red');
clear IP MP;
factor = max(max(rInc),max(rMeas))*1.2;
axis(factor*[-1 1 -1 1]); axis square;
axis off; box off;
hold off;

% set(gca,'FontSize',20); axis square; print(1,'-depsc','guideExpSetupForAlgPaper.eps');

