% essentially: setiContrast3DcornerCalcFindBeta

% seti contrast 3D
% 3D example
% adapt: pda instead of shrinkage

% -- setGrid
seti.dim = 3;
seti.rCD = 2.0;
seti.nCD = 256; %default

% -- setGridScale
seti.gscale = 0;
seti.nCDinv = 192/2;

% -- setKernel
seti.k = 10;
seti.model = 'helmholtz';

% -- setContrast
seti.contrast = 'cross3D';
%seti.contrast = 'corner3D';

% -- setMeas (measurements)
seti.incType = 'pointSource';
seti.measType = 'nearField';
seti.incPntsType = 'sphereLatLon'; % added 20190320 as it was default when preparing the paper (current default is 'sphereFibo')
seti.measPntsType = 'sphereLatLon'; % added 20190320 as it was default when preparing the paper (current default is 'sphereFibo')
% seti.incNb = 35;
% seti.measNb = 35;
seti.incNb = 50; % better
seti.measNb = 50; % better
seti.radSrc = 5;
seti.radMeas = 5;

% fits to 50, 50
%seti.loadF = 'mat/loadF/20160429T105128_paperD3ZcrossnCD256_yExact/yExactAsF.mat';

%% to do...
% seti.loadFmeas = 'inmat/loadFmeas/.../Fmeas.mat'; % nCD = 512
%%

seti.mCD = 0;

% -- inversion process (regularization)
seti.invNo = 6;
%seti.delta = 0.001; % smaller than in other seti files(!)
seti.delta = 0.01; % as in other files(!)

seti.beta = 1E-5;
%seti.alpha = 3E-3; % balanced...
seti.alpha = 500; % new default

seti.physBounds = [-1,3,0,3];

seti.tau = 1.25;
seti.useDis = 1;

seti.nOut = 25;

% -- minimization with pda
seti.pdaN = 50;

% -- save and load qROI
% seti.qROIsave = 1; % seti.qROIsave was removed (save_qROI_iOutStop.mat is saved by default)

% seti.loadqROIcomp = 0;

% Attention: Note that the parameter seti.loadqROIcomp was changed.
% It was seti.loadqROIcomp = 0 or 1 to load a file seti.loadqROIcompFile.
% In the current version a file is load if its path is saved in seti.loadqROIcomp.
% Therefore seti.loadqROIcomp = 0 results in an error. So, adapt the following path:

% seti.loadqROIcomp = 'output/../save_qROI_iOutStop.mat';

% publication... store plots etc.

seti.usecbarlim = 1;
seti.cbarlim = [-0.2,1.4];

seti.plotFreqiPda = 1E4;

seti.plotPublish = 1;
seti.plotFreq = 10;
seti.saveepsc = 1;
seti.savefig = 1;
seti.savedata = 1;

