% seti contrast Fresnel Synth
% is used in tests/fresnelSynth.m

% -- setGrid
seti.dim = 2;
seti.rCD = 0.2;
seti.nCD = 256; % original

% -- fresnel data (loadData.m)
seti.expData = 'fresnel';
seti.fresnelFreq = 5*1E9; % standard 3 GHz (4 GHz)
seti.fresnelFile = 'inexpdata/fresnel_opus_1/dielTM_dec8f.exp'; % 1--8 GHz, test: single cylinder, 4 GHz
%seti.fresnelFile = 'inexpdata/fresnel_opus_1/twodielTM_8f.exp'; % 1--8 GHz
filename = seti.fresnelFile;

seti.nuMax = 7; seti.ampCalc = 1; % default (A1)
%seti.nuMax = 7; seti.ampCalc = 2; % test (A2)
%seti.nuMax = 7; seti.ampCalc = 3; % test (A3)

seti.nuMax = 10; seti.ampCalc = 1; % default (B1)
%seti.nuMax = 10; seti.ampCalc = 2; % test (B2)
%seti.nuMax = 10; seti.ampCalc = 3; % test (B3)

% 3 GHz: single dielectricum
% B1: 1.3 & 14.9 & 15.3
% B2:  1.8 & 15.0 & 15.7
% B3 (with 2E3): 1.7 & 15.0 & 15.7
% B3 (with 1E5): 1.6 & 14.9 & 15.7
% B3 (with 1E8): 1.5 & 14.9 & 15.5

% 5 GHz: single dielectricum
% B1:  3.4 & 20.1 & 22.4
% B2: 21.2 & 20.5 & 26.9
% B3 (with 2E3): 18.9 & 19.6 & 24.7
% B3 (with 1E5): 15.2 & 19.1 & 23.1

% single dielectricum with method (B1)
%1\,GHz & 0.9 & 29.8 & 39.7\\
%2\,GHz & 0.6 & 18.0 & 14.9\\
%3\,GHz & 1.3 & 14.9 & 15.3\\
%4\,GHz & 0.8 & 25.2 & 19.7\\
%5\,GHz & 3.4 & 20.1 & 22.4\\
%6\,GHz & 4.2 & 39.7 & 32.7\\
%7\,GHz & 16.4 & 22.2 & 28.1\\
%8\,GHz & 18.1 & 44.3 & 39.1

% two dielectrics with method (B1)
%1\,GHz & 1.0 & 11.5 & 64.5\\
%2\,GHz & 0.6 & 46.7 &  8.1\\
%3\,GHz & 1.3 & 13.4 & 21.6\\
%4\,GHz & 0.8 & 47.9 & 15.6\\
%5\,GHz & 3.3 & 20.3 & 27.4\\
%6\,GHz & 4.0 & 59.5 & 36.8\\
%7\,GHz & 16.1 & 25.2 & 42.9\\
%8\,GHz & 17.8 & 72.2 & 41.1

%-----

% -- setKernel
cLight = 2.99792458E8; % light velocity
seti.k = 2*pi*seti.fresnelFreq/cLight;
seti.model = 'helmholtz';

% -- setMeas (measurements)
% simulate fresnel_opus_1:
seti.incType = 'pointSource'; % used in op. 1 and 2
seti.measType = 'nearField'; % used in op. 1 and 2
seti.incNb = 36;
seti.measNb = 72;
seti.radSrc = 0.72;
seti.radMeas = 0.76;

% -- inversion process (regularization)
%seti.invNo = 3;
seti.invNo = 6;
seti.delta = 0; % to test

%seti = setiAuxRec(seti,usefindpdatau,usevaralpha);
seti.alpha = 1E8; % old: 2E4 corresponding 0.05 (in old code)
seti.beta = 0; % because we expect no sharp edges...
seti.physBounds = [-500,500,0,inf];
seti.nOut = 30;

% -- minimization with pda
seti.pdaN = 50;

