%% readmeInsetiClosed
%
%% Organization of the Files
%
% The input parameter files in |insetiClosed| are mostly organized as 
% preparation for publications or other reasons. The
% relevant year of origin/finalization is given too.
%
% * *compIPscatt (2016)*:
% Florian B&uuml;rgel, Kamil S. Kazimierski, and Armin Lechleiter. A
% sparsity regularization and total variation based computational framework for the inverse medium problem in scattering. _Journal of Computational Physics_, 339:1-30, 2017. URL: <https://doi.org/10.1016/j.jcp.2017.03.011>.
%
% * *some3D (2017)*: 
% Some 3D inseti files (cross and cube).
%
% * *factMeth (2018)*:
% Input parameter files for factorization method. (Most of them were created for the thesis, see below.)
%
% * *tboxIPscatt (2018)*:
% Florian B&uuml;rgel, Kamil S. Kazimierski, and Armin Lechleiter. Algorithm 1001: IPscatt&mdash;A MATLAB Toolbox for the Inverse Medium Problem in Scattering. _ACM Transactions on Mathematical Software_, 45(4), Article 45, 20 pages, 2019. URL: <https://doi.org/10.1145/3328525>.
%
% * *thesis (2018)*:
% Florian B&uuml;rgel. _Effective and Efficient Reconstruction Schemes for the Inverse Medium Problem in Scattering_. PhD thesis, Universit&auml;t Bremen, 2019.
%
% The folders contain files including the word "run". This allows to run
% IPscatt with several inseti files in the corresponding folder.
%
% Of course, more recent files in general result in more accurate reconstructions.
% In particular, the feature of automatic parameter choice (autoparam3) for
% the regularization parameters was only available since 2018, i.e. 
% for |factMeth|, |tboxIPscatt| and |thesis|.
%
%
%% Example
%
% The current folder must be the main directory of the _source code_. 
% For example, the file |init.m| is inside the main directory |code|. 
%
%  init;
%  inseti = 'example'; % The corresponding file example.m is in the folder inseti.
%  start;
%
% The use of |inseti| is also described in the _user guide_.
%
%
%% Publication
%
% For the publication of the results we recommend this options.
%
%  seti.plotPublish = 1;           % 1: plot design for publication (e.g. without title)
%  seti.saveepsc = 1;              % 0 or 1, save figures as colored *.eps (default: 0)
%
