%% inseti: example 3D
% Example of input parameters to run |start| not with default parameters.
% See Also: <example.html>.

% -- dirname: suffix
seti.dirSuffix = '_3Dcube';

% -- setGrid
seti.dim = 3;
seti.rCD = 2;
seti.nCD = 256;

% -- setKernel
seti.k = 10;
seti.model = 'helmholtz';

% -- setContrast
seti.contrast = 'cubeLike3D';

% -- expSetup (set experimental set-up)
seti.incPntsType = 'sphereFibo';
seti.measPntsType = 'sphereFibo';
seti.incNb = 51;
seti.measNb = 51;
seti.radSrc = 5;
seti.radMeas = 5;
seti.incType = 'pointSource';
seti.measType = 'nearField';

% -- reconstruction
seti.invNo = 6;
seti.delta = 0.01;
seti.physBounds = [-1,3,0,3];
seti.alpha = 500;
seti.beta = 1E-5;
seti.useDis = 1;
seti.tau = 1.25;
seti.nOut = 30;

% -- reconstruction with PDA
seti.pdaN = 50;
seti.pdaStepsize = 'fix';

% -- figures and files
seti.plotFreq = 1;
seti.plotPublish = 1;

seti.usecbarlim = 1;
seti.cbarlim = [-0.2, 1.4];

seti.savepng = 1;
seti.saveepsc = 1;
seti.savefig = 0;

seti.savedata = 1;

