
paperF0default; % from first paper (compIPscatt)

%% Adaptions from paperF0default to shrinkage

seti.invNo = 1; % soft-shrinkage
seti.stepsizeStart = 1E-4; % a greater stepsize does not work(!)

seti.alpha = 114; % autoparam3: alpha = 114.062 (20180124T145125_fresnelShrink_fresnel)
seti.tau = 1.5;

seti.physBounds = [-inf,+inf,-inf,+inf]; % seti.physBounds = [-1, 3, 0, 1]; % default
% % physBounds was unknown in original software

seti.nOut = 100; % is enough in case of delta = 0.15 and tau = 1.5

%% Fresnel

seti.fresnelFreq = 6*1E9; % standard 3 and 5 GHz

freqGHz = seti.fresnelFreq/1E9;
switch freqGHz
    case 1
        seti.delta = 0.65; % error of data in %: real 11.5, imag 64.5 (see compIPscatt paper)
        seti.delta = 0.25; % only rough localization of both obstacles
    case 2
        seti.delta = 0.47; % real 46.7, imag 8.1
        seti.delta = 0.25; % reasonable stop with tau = 1.6...
    case 3
        seti.delta = 0.15; % real 13.4, imag 21.6
    case 4
        seti.delta = 0.48; % real 47.9, imag 15.6
    case 5
        seti.delta = 0.25; % real 20.3, imag 27.4
    case 6
        seti.delta = 0.60; % real 59.5, imag 36.8
        seti.delta = 0.15;
    case 7
        seti.delta = 0.40; % real 25.2, imag 42.9
    case 8
        seti.delta = 0.70; % real 72.2, imag 41.1
        seti.delta = 0.25;
end
clear freqGHz;
        
seti.fresnelFile = 'inexpdata/fresnel_opus_1/twodielTM_8f.exp';

% -- figures and files

seti.plotFreq = 10;
seti.plotPublish = 1;

seti.colormap = 'default';
seti.usecbarlim = 1;
seti.cbarlim = [-0.7, 2.0]; % seti.cbarlim = [-0.2, 1.4]; % seti.cbarlim = [-0.40,2.40];

seti.savepng = 1;
seti.saveepsc = 1;
seti.savefig = 1;

seti.savedata = 1;
