
seti.contrast = 'ship2D';
seti.incPntsType = 'twoBoreholes';    % Geometry: type of transmitters
seti.measPntsType = 'twoBoreholes';   % Geometry: type of receivers

seti.alpha = 310; % autoparam3: alpha = 310.938, beta = 6.21875e-06
seti.beta = seti.alpha*1E-5/500;

seti.delta = 0.01; % default
seti.tau = 2.5; % default

seti.boreNbLine = 18;
seti.boreLineLength = 20;

% seti.useTolIn = 1;
% seti.nOut = 30; % default is OK (higher with alpha = 1000 e.g. does not fulfill the discrepancy principle, because it does not decrease any more...)
seti.nOut = 80; % needs 60 iterations in case of seti.alpha = 128;

% default
% Caution: Borehole has set dSInc = 1 instead of the distance...
% So, another influence of regularization parameters than in a circle.
% However, >> seti.dSMeas = 0.8964 in a circle (not far away from 1).
%
% seti.alpha = 500;
% seti.beta = 1E-5;

% default for twoBoreholes
% seti.boreNbLine = 35;
% seti.boreLineLength = 500;
% seti.boreLinePos1 = 5; % same as circle radius
% seti.boreLinePos2 = -5;

% -- figures and files

seti.plotFreq = 60;
seti.plotPublish = 1;

seti.colormap = 'default';
seti.usecbarlim = 1;
seti.cbarlim = [-0.2, 1.65];

seti.savepng = 1;
seti.saveepsc = 1;
seti.savefig = 1;

seti.savedata = 1;
